<?php
/**
 * Product Loop Start | edit
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/loop-start.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you (the theme developer).
 * will need to copy the new files to your theme to maintain compatibility. We try to do this.
 * as little as possible, but it does happen. When this occurs the version of the template file will.
 * be bumped and the readme will list any important changes.
 *
 * @see 	    http://docs.woothemes.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.3.0
 */
global $woocommerce_loop, $wp_rewrite, $wp_query;

$products_per_column = kable_get_option_data('optn_woo_products_per_row', 3);
$per_row_mobile = kable_get_option_data('optn_woo_products_per_row_mobile', 2);
if ($per_row_mobile == 2) {
    $per_row_mobile = 'mobile';
}

$mode_view = 'grid';
$class = $masonry = '';

if (is_archive() || is_product_taxonomy()) {
    $mode_view = apply_filters('kable_filter_products_mode_view', 'grid');
}
$layout = kable_get_option_data('product_layout_mode', 'fitRows');
$data = 'data-masonry=\'{"selector":".product","layoutMode":"fitRows"}\'';
if ($layout == 'masonry') {
    $data = 'data-masonry=\'{"selector":".product","layoutMode":"masonry"}\'';
    $masonry = ' masonry';
}

$class = esc_attr($mode_view . $masonry) . ' piko-masonry products row products-' . esc_attr($mode_view) . ' columns-' . esc_attr($products_per_column . ' ' . $per_row_mobile);
?>

<ul class="<?php echo esc_attr($class) ?>" <?php echo wp_kses_post($data); ?>>